package com.boyue.pay.service;

import com.boyue.pay.domain.PayOrder;

import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;

public interface PayService {
    String payUrl(PayOrder payOrder);

    String notify(HttpServletRequest servletRequest, HttpServletResponse response);

    PayOrder query(PayOrder payOrder);

    PayOrder refund(PayOrder payOrder);
}
